Множественные уязвимости в ZeroBoard

Дата публикации:
19.02.2009
Дата изменения:
19.02.2009
Всего просмотров:
18437
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Zeroboard 4.x
Уязвимые версии: ZeroBoard 4 pl8, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, произвести XSS нападение, выполнить произвольные SQL команды, получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточного ограничения доступа к частным сообщениям. Удаленный пользователь может обойти ограничения и просмотреть сообщения других пользователей.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "del_que1" в сценарии write_ok.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "dir" в сценарии include/write.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

5. Уязвимость существует из-за недостаточной обработки входных данных в параметре "dir" в сценарии include/print_category.php, когда параметр "setup[use_category]" установлен в непустое значение. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: zb.cmsn.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/8000

или введите имя

CAPTCHA